Subject: Re: Compling Tiny Fugue?
From: [email-masked] (Nigel Price)

20 Nov 1997 17:00:07 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: <[email-masked]>

Hmm, just spotted this. Probably because I've been working on getting TF
going :)

-----Original Message-----
From: [email-masked] <[email-masked]>
To: [email-masked] <[email-masked]>
Date: 16 November 1997 16:25
Subject: Compling Tiny Fugue?

>I am new to all this. Am looking for TF ported over to win32.
>They say I need to compile it. Using your software. Can you please
>help me? Or direct me to where to find it already compiled?

I had trouble with TF when it was on 35b4. I tried for quite a while then
gave up.

When Ken Keys released 40a2 I had another go, with much more success.

You need to have the full GNU-Win32 dev kit (cdk.exe) installed, and bash
working. Either the base version, or with Sergei's patches.

What you need to do is follow the instructions for Win32, i.e. just do a
Unix install. I had one problem;

'sh unixmake' had a problem with the ~ (tilde) used in the home directory
evaluation. Instead, I opted for;
'sh unixmake local' followed by 'sh unixmake install'.

Hmm, on reading that, step-by-step instruction may be in order for those new
to GNU-Win32 :)

1. Install 'cdk.exe' and follow the FAQ for setting up the Bash environment.
2. Create /usr/local/bin and /usr/local/lib
3. Unpack and cd to your tf-40a2 directory
4. Issue 'sh unixmake local' and confirm the correct directories.
5. Issue 'sh unixmake install' on successful completion of step 4.
6. Optionally add /usr/local/bin to your PATH (Probably a good idea)
7. I would also advise creating a .tfrc in your home directory to
automatically turn off visual mode. It's very jumpy as Ken mentions, and if
you have your console's screen buffer size increased, visual mode seems to
scroll through your whole history (yuck!!!)
8. Issue 'tf' and your away .... hopefully :)

To re-iterate Ken's comments (---- and my own):
    Scrolling in visual mode is jumpy.
        ---- So turn it off :)
    /quote ! (and code that calls it, like /sys) is not supported.
        ---- /sh and associated commands work though
    Compressed files are not supported.
        ---- I've not had cause to use them anyway
    Nonblocking hostname resolution (%gethostbyname) is not supported.
        ---- This hasn't caused me a problem yet

So there you go, I hope I've helped :)

A final note. All the above I did on NT4. I plan to do it on Win95 in a
couple of hours.
Regards,

Nigel Price

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".